Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework.component.impl.uicreator.config
Class ViewConfig

    java.lang.Object
      tle.framework.component.impl.uicreator.config.ViewConfig

    public class ViewConfig

extends java.lang.Object

<view> 태그의 정보를 저장한다.

Since:
  2.0
Author:
  최범균

Constructor Summary
`ViewConfig()`

Method Summary
`void` | `addStringValue(java.lang.String name, java.lang.String value)`
`void` | `addSubpage(java.lang.String name, java.lang.String page)`
`java.lang.String` | `getPage()`
`java.lang.String` | `getParentViewID()`
`java.lang.String` | `getRelatedPage()` 이 뷰와 관련된 page를 리턴한다.
`java.lang.String` | `getStringValue(java.lang.String name)`
`java.lang.String` | `getSubpage(java.lang.String name)`
`java.lang.String` | `getViewID()`
`boolean` | `isRedirect()`
`void` | `setPage(java.lang.String page)`
`void` | `setParentViewID(java.lang.String parentViewID)`
`void` | `setRedirect(boolean redirect)`
`void` | `setViewID(java.lang.String viewID)`
`void` | `setViewSetConfig(ViewSetConfig viewSet)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewConfig

    public ViewConfig()

Method Detail

### setViewSetConfig

    public void setViewSetConfig(ViewSetConfig viewSet)

### getPage

    public java.lang.String getPage()

### setPage

    public void setPage(java.lang.String page)

### getParentViewID

    public java.lang.String getParentViewID()

### setParentViewID

    public void setParentViewID(java.lang.String parentViewID)

### getViewID

    public java.lang.String getViewID()

### setViewID

    public void setViewID(java.lang.String viewID)

### addSubpage

    public void addSubpage(java.lang.String name,
                           java.lang.String page)

### getSubpage

    public java.lang.String getSubpage(java.lang.String name)

### addStringValue

    public void addStringValue(java.lang.String name,
                               java.lang.String value)

### getStringValue

    public java.lang.String getStringValue(java.lang.String name)

### getRelatedPage

    public java.lang.String getRelatedPage()

  이 뷰와 관련된 page를 리턴한다. 만약 이 뷰가 page를 지정하지 않았고 parent를 갖고 있다면 parent의 page를 리턴한다.

  redirect 프로퍼티가 true이면, page 속성의 값만을 사용하게 되며 parent의 값은 무시된다.

### setRedirect

    public void setRedirect(boolean redirect)

### isRedirect

    public boolean isRedirect()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD